clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::WorkspaceEdit Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::WorkspaceEdit:
[legend]

## Public Attributes
llvm::Optional< std::map< std::string, std::vector< TextEdit > > > | changes
| Holds changes to existing resources. More...

## Detailed Description

Definition at line 625 of file Protocol.h.

## Member Data Documentation

## ◆ changes

llvm::Optional<std::map<std::string, std::vector<TextEdit> > > clang::clangd::WorkspaceEdit::changes

Holds changes to existing resources.

Definition at line 627 of file Protocol.h.

Referenced by clang::clangd::fromJSON(), and clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h